#ifndef SUBFORM_H 
#define SUBFORM_H SUBFORM_H

extern	int sf_wsubform(int no, int xcol,int rows,int fx ,int fy, char *f);
extern	int sf_grid(int no,int maxtext,int xcol);
extern	int sf_textbox(int no, int fy, char *f);
extern	int sf_formtext(int no,int maxtext, int xcol);
extern	int sf_paneltext(int no, int maxpaneltext, int xcol);
extern	int sf_panels(int no, int xcol,int rows,int fy, char *f);
extern	int sf_status(int no, int type, char opt);
extern	int sf_tlocate(int no, int col);
extern	int sf_glocate(int no, int col, char line);
extern	void sf_tbegin(void);
extern	void sf_tprev(void);
extern	void sf_tnext(void);
extern	int sf_tput(int no, int col, char *s);
extern	int sf_gput(int no, int col, int line, char *s);
extern	int sf_tget(int no, int col,char *s);
extern	int sf_gget(int no, int col, int line,char *s);
extern	int sf_tcep(int no, int col, int align, char *s);
extern	int sf_gcep(int no, int col, int line, int align, char *s);
extern	int sf_tvarprint(int no, int col, char *s);
extern	int sf_gvarprint(int no, int col, int line, char *s);
extern	void sf_initgridcell(int no);
extern	int sf_getstartline(int no);
extern	void sf_wrefreshcell(int no,int line,int col);
extern	void sf_wrefreshform(int no);
extern	void sf_startcell(int no);
extern	void sf_to_text(int in,char *out)
extern	void sf_to_numeric(char *in,long out);
extern	int sf_to_integer(char *in);
extern	int sf_to_double(char *in);
extern	int sf_textboxfree(int maxtext);
extern	void sf_freeDB(int no, int DBcount, int maxcol);
extern	int sf_DBgrid(int no,int maxtext,int xcol,int startline,nt DBcount,int maxcol);
extern	int sf_ggetDB(int no, int line, int col, int startline,char *s);
extern	int sf_gputDB(int no, int line, int col, int startline,char *s);
extern	int sf_tgetDB(int no, int col, char *s);
extern	int sf_tputDB(int no, int col, char *s);
extern	int sf_tgetDBall(int no);
extern	int sf_assgetDB(int no,int line,int col, char *buff, int size);
extern	int sf_assputDB(int no,int col, char *buff, int size);
extern int MakeTextBox(int no,int fx,int fy,int xcol,int xrow,int *textbox_no,int *textbox_x,int *textbox_y,int *textbox_length,int *align,int *action,int *field,int *skipstep, int m);
#endif
